<?php

				$this->add_plugin_setting( 'select', 'button_style', __('Button Style','wp_superlike'),
											array(
											'builtin' => __('Preset Styles','wp_superlike'),
											'custom' => __('Customize your button','wp_superlike')
											),
											__('Use a preset button style or choose customize to fully customize your button look and appearance.','wp_superlike'),
											array(
													'<input type="submit" name="reset-custom-theme" value="'.__('Reset changes','wp_superlike').'" class="button button-primary reset-custom-theme" />'
											));
											
				$this->add_plugin_setting( 'select', 'style', __('Choose a Style','wp_superlike'),
											$_builtin_styles = apply_filters('wp_superlike_builtin_styles', wp_superlike_builtin_styles() ),
											__('Choose a global skin for your Like button. Here is a live preview of the selected skin:','wp_superlike'),
											array(
													'<p class="strong">'.__('Live Preview of selected theme:','wp_superlike').'</p>',
													'<div class="ajax-live-preview">',
													wp_superlike('position=left'),
													'</div>'
											) );
											
				$this->add_plugin_setting( 'color', 'button_bg_color', __('Button Background Color Primary','wp_superlike'),
											null,
											null);
											
				$this->add_plugin_setting( 'color', 'button_bg_color2', __('Button Background Color Secondary','wp_superlike'),
											null,
											__('If you want to have a gradient background color.','wp_superlike'));

				$this->add_plugin_setting( 'color', 'button_bg_color_hover', __('Button Hover Background Color Primary','wp_superlike'),
											null,
											null);
											
				$this->add_plugin_setting( 'color', 'button_bg_color_hover2', __('Button Hover Background Color Secondary','wp_superlike'),
											null,
											__('If you want to have a gradient hover background color.','wp_superlike'));

				$this->add_plugin_setting( 'color', 'button_text_color', __('Button Text Color','wp_superlike'),
											null,
											null);

				$this->add_plugin_setting( 'color', 'button_border_color', __('Button Border Color','wp_superlike'),
											null,
											null);
											
				$this->add_plugin_setting( 'color', 'button_border_color_hover', __('Button Hover Border Color','wp_superlike'),
											null,
											null);
											
				$this->add_plugin_setting( 'color', 'count_bg_color', __('Count Background Color','wp_superlike'),
											null,
											null);
											
				$this->add_plugin_setting( 'color', 'count_text_color', __('Count Text Color','wp_superlike'),
											null,
											null);

				$this->add_plugin_setting( 'color', 'count_border_color', __('Count Border Color','wp_superlike'),
											null,
											null,
											array(
													'<p class="strong">'.__('Live Preview of your custom button:','wp_superlike').'</p>',
													'<div class="ajax-live-preview-custom">',
													wp_superlike('position=left'),
													'</div>'
											) );